source: squid-ssl/trunk/fuentes/src/ipc/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 42.1 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/ipc/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/ipc
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libipc_la_LIBADD =
162am__dirstamp = $(am__leading_dot)dirstamp
163am_libipc_la_OBJECTS = AtomicWord.lo FdNotes.lo Kid.lo Kids.lo \
164        MemMap.lo Queue.lo ReadWriteLock.lo StartListening.lo \
165        StoreMap.lo StrandCoord.lo StrandSearch.lo SharedListen.lo \
166        TypedMsgHdr.lo Coordinator.lo UdsOp.lo Port.lo Strand.lo \
167        Forwarder.lo Inquirer.lo mem/Page.lo mem/PagePool.lo \
168        mem/Pages.lo mem/PageStack.lo mem/Segment.lo
169libipc_la_OBJECTS = $(am_libipc_la_OBJECTS)
170AM_V_lt = $(am__v_lt_$(V))
171am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
172am__v_lt_0 = --silent
173am__v_lt_1 = 
174AM_V_P = $(am__v_P_$(V))
175am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
176am__v_P_0 = false
177am__v_P_1 = :
178AM_V_GEN = $(am__v_GEN_$(V))
179am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
180am__v_GEN_0 = @echo "  GEN     " $@;
181am__v_GEN_1 = 
182AM_V_at = $(am__v_at_$(V))
183am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
184am__v_at_0 = @
185am__v_at_1 = 
186DEFAULT_INCLUDES = 
187depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
188am__depfiles_maybe = depfiles
189am__mv = mv -f
190CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
191        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
192LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
193        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
194        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
195        $(AM_CXXFLAGS) $(CXXFLAGS)
196AM_V_CXX = $(am__v_CXX_$(V))
197am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
198am__v_CXX_0 = @echo "  CXX     " $@;
199am__v_CXX_1 = 
200CXXLD = $(CXX)
201CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
202        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
203        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
204AM_V_CXXLD = $(am__v_CXXLD_$(V))
205am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
206am__v_CXXLD_0 = @echo "  CXXLD   " $@;
207am__v_CXXLD_1 = 
208COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
209        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
210LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
211        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
212        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
213        $(AM_CFLAGS) $(CFLAGS)
214AM_V_CC = $(am__v_CC_$(V))
215am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
216am__v_CC_0 = @echo "  CC      " $@;
217am__v_CC_1 = 
218CCLD = $(CC)
219LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
220        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
221        $(AM_LDFLAGS) $(LDFLAGS) -o $@
222AM_V_CCLD = $(am__v_CCLD_$(V))
223am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
224am__v_CCLD_0 = @echo "  CCLD    " $@;
225am__v_CCLD_1 = 
226SOURCES = $(libipc_la_SOURCES)
227DIST_SOURCES = $(libipc_la_SOURCES)
228am__can_run_installinfo = \
229  case $$AM_UPDATE_INFO_DIR in \
230    n|no|NO) false;; \
231    *) (install-info --version) >/dev/null 2>&1;; \
232  esac
233am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
234# Read a list of newline-separated strings from the standard input,
235# and print each of them once, without duplicates.  Input order is
236# *not* preserved.
237am__uniquify_input = $(AWK) '\
238  BEGIN { nonempty = 0; } \
239  { items[$$0] = 1; nonempty = 1; } \
240  END { if (nonempty) { for (i in items) print i; }; } \
241'
242# Make sure the list of sources is unique.  This is necessary because,
243# e.g., the same source file might be shared among _SOURCES variables
244# for different programs/libraries.
245am__define_uniq_tagged_files = \
246  list='$(am__tagged_files)'; \
247  unique=`for i in $$list; do \
248    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
249  done | $(am__uniquify_input)`
250ETAGS = etags
251CTAGS = ctags
252am__tty_colors_dummy = \
253  mgn= red= grn= lgn= blu= brg= std=; \
254  am__color_tests=no
255am__tty_colors = { \
256  $(am__tty_colors_dummy); \
257  if test "X$(AM_COLOR_TESTS)" = Xno; then \
258    am__color_tests=no; \
259  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
260    am__color_tests=yes; \
261  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
262    am__color_tests=yes; \
263  fi; \
264  if test $$am__color_tests = yes; then \
265    red='[0;31m'; \
266    grn='[0;32m'; \
267    lgn='[1;32m'; \
268    blu='[1;34m'; \
269    mgn='[0;35m'; \
270    brg='[1m'; \
271    std='[m'; \
272  fi; \
273}
274am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
275am__vpath_adj = case $$p in \
276    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
277    *) f=$$p;; \
278  esac;
279am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
280am__install_max = 40
281am__nobase_strip_setup = \
282  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
283am__nobase_strip = \
284  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
285am__nobase_list = $(am__nobase_strip_setup); \
286  for p in $$list; do echo "$$p $$p"; done | \
287  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
288  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
289    if (++n[$$2] == $(am__install_max)) \
290      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
291    END { for (dir in files) print dir, files[dir] }'
292am__base_list = \
293  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
294  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
295am__uninstall_files_from_dir = { \
296  test -z "$$files" \
297    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
298    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
299         $(am__cd) "$$dir" && rm -f $$files; }; \
300  }
301am__recheck_rx = ^[     ]*:recheck:[    ]*
302am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
303am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
304# A command that, given a newline-separated list of test names on the
305# standard input, print the name of the tests that are to be re-run
306# upon "make recheck".
307am__list_recheck_tests = $(AWK) '{ \
308  recheck = 1; \
309  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
310    { \
311      if (rc < 0) \
312        { \
313          if ((getline line2 < ($$0 ".log")) < 0) \
314            recheck = 0; \
315          break; \
316        } \
317      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
318        { \
319          recheck = 0; \
320          break; \
321        } \
322      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
323        { \
324          break; \
325        } \
326    }; \
327  if (recheck) \
328    print $$0; \
329  close ($$0 ".trs"); \
330  close ($$0 ".log"); \
331}'
332# A command that, given a newline-separated list of test names on the
333# standard input, create the global log from their .trs and .log files.
334am__create_global_log = $(AWK) ' \
335function fatal(msg) \
336{ \
337  print "fatal: making $@: " msg | "cat >&2"; \
338  exit 1; \
339} \
340function rst_section(header) \
341{ \
342  print header; \
343  len = length(header); \
344  for (i = 1; i <= len; i = i + 1) \
345    printf "="; \
346  printf "\n\n"; \
347} \
348{ \
349  copy_in_global_log = 1; \
350  global_test_result = "RUN"; \
351  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
352    { \
353      if (rc < 0) \
354         fatal("failed to read from " $$0 ".trs"); \
355      if (line ~ /$(am__global_test_result_rx)/) \
356        { \
357          sub("$(am__global_test_result_rx)", "", line); \
358          sub("[        ]*$$", "", line); \
359          global_test_result = line; \
360        } \
361      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
362        copy_in_global_log = 0; \
363    }; \
364  if (copy_in_global_log) \
365    { \
366      rst_section(global_test_result ": " $$0); \
367      while ((rc = (getline line < ($$0 ".log"))) != 0) \
368      { \
369        if (rc < 0) \
370          fatal("failed to read from " $$0 ".log"); \
371        print line; \
372      }; \
373      printf "\n"; \
374    }; \
375  close ($$0 ".trs"); \
376  close ($$0 ".log"); \
377}'
378# Restructured Text title.
379am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
380# Solaris 10 'make', and several other traditional 'make' implementations,
381# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
382# by disabling -e (using the XSI extension "set +e") if it's set.
383am__sh_e_setup = case $$- in *e*) set +e;; esac
384# Default flags passed to test drivers.
385am__common_driver_flags = \
386  --color-tests "$$am__color_tests" \
387  --enable-hard-errors "$$am__enable_hard_errors" \
388  --expect-failure "$$am__expect_failure"
389# To be inserted before the command running the test.  Creates the
390# directory for the log if needed.  Stores in $dir the directory
391# containing $f, in $tst the test, in $log the log.  Executes the
392# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
393# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
394# will run the test scripts (or their associated LOG_COMPILER, if
395# thy have one).
396am__check_pre = \
397$(am__sh_e_setup);                                      \
398$(am__vpath_adj_setup) $(am__vpath_adj)                 \
399$(am__tty_colors);                                      \
400srcdir=$(srcdir); export srcdir;                        \
401case "$@" in                                            \
402  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
403    *) am__odir=.;;                                     \
404esac;                                                   \
405test "x$$am__odir" = x"." || test -d "$$am__odir"       \
406  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
407if test -f "./$$f"; then dir=./;                        \
408elif test -f "$$f"; then dir=;                          \
409else dir="$(srcdir)/"; fi;                              \
410tst=$$dir$$f; log='$@';                                 \
411if test -n '$(DISABLE_HARD_ERRORS)'; then               \
412  am__enable_hard_errors=no;                            \
413else                                                    \
414  am__enable_hard_errors=yes;                           \
415fi;                                                     \
416case " $(XFAIL_TESTS) " in                              \
417  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
418    am__expect_failure=yes;;                            \
419  *)                                                    \
420    am__expect_failure=no;;                             \
421esac;                                                   \
422$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
423# A shell command to get the names of the tests scripts with any registered
424# extension removed (i.e., equivalently, the names of the test logs, with
425# the '.log' extension removed).  The result is saved in the shell variable
426# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
427# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
428# since that might cause problem with VPATH rewrites for suffix-less tests.
429# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
430am__set_TESTS_bases = \
431  bases='$(TEST_LOGS)'; \
432  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
433  bases=`echo $$bases`
434RECHECK_LOGS = $(TEST_LOGS)
435AM_RECURSIVE_TARGETS = check recheck
436TEST_SUITE_LOG = test-suite.log
437TEST_EXTENSIONS =  .test
438LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
439LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
440am__set_b = \
441  case '$@' in \
442    */*) \
443      case '$*' in \
444        */*) b='$*';; \
445          *) b=`echo '$@' | sed 's/\.log$$//'`; \
446       esac;; \
447    *) \
448      b='$*';; \
449  esac
450am__test_logs1 = $(TESTS:=.log)
451am__test_logs2 = $(am__test_logs1:.log=.log)
452TEST_LOGS = $(am__test_logs2:.test.log=.log)
453TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
454TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
455        $(TEST_LOG_FLAGS)
456am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
457        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
458        $(top_srcdir)/src/TestHeaders.am
459DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
460ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
461ADAPTATION_LIBS = adaptation/libadaptation.la
462ALLOCA =
463AMTAR = $${TAR-tar}
464AM_DEFAULT_VERBOSITY = 1
465AR = /usr/bin/ar
466AR_R = /usr/bin/ar r
467AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
468AUTH_MODULES =  basic digest negotiate ntlm
469AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
470AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
471AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
472AWK = gawk
473BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
474BUILDCXX = g++
475BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
476BZR =
477CACHE_EFFECTIVE_USER = proxy
478CC = gcc
479CCDEPMODE = depmode=none
480CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
481CGIEXT = .cgi
482CHMOD = /bin/chmod
483CPP = gcc -E
484CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
485CPPUNITCONFIG = /usr/bin/cppunit-config
486CRYPTLIB = -lcrypt
487CXX = g++
488CXXCPP = g++ -E
489CXXDEPMODE = depmode=none
490CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
491CYGPATH_W = echo
492DEFAULT_HOSTS = /etc/hosts
493DEFAULT_LOG_DIR = /var/log/squid-ssl
494DEFAULT_PID_FILE = /var/run/squid-ssl.pid
495DEFAULT_SWAP_DIR = /var/spool/squid-ssl
496DEFS = -DHAVE_CONFIG_H -DDEFAULT_STATEDIR=\"$(localstatedir)/run/squid\"
497DEPDIR = .deps
498DIGEST_AUTH_HELPERS =  file LDAP
499DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
500DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
501DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
502DISK_OS_LIBS =  -lrt -lpthread
503DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
504DLLTOOL = false
505DSYMUTIL =
506DUMPBIN =
507ECAP_LIBS = ecap/libsquid-ecap.la
508ECHO_C =
509ECHO_N = -n
510ECHO_T =
511EGREP = /bin/egrep
512EPOLL_LIBS =
513EUILIB =
514EXEEXT =
515EXPATLIB = -lexpat
516EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
517EXT_LIBECAP_CFLAGS =
518EXT_LIBECAP_LIBS = -lecap
519FALSE = /bin/false
520FGREP = /bin/fgrep
521GREP = grep
522HAVE_CXX11 = 1
523ICAP_LIBS = icap/libicap.la
524INCLTDL =
525INSTALL = /usr/bin/install -c
526INSTALL_DATA = ${INSTALL} -m 644
527INSTALL_PROGRAM = ${INSTALL}
528INSTALL_SCRIPT = ${INSTALL}
529INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
530KRB5INCS = -isystem /usr/include/mit-krb5
531KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
532LBERLIB = -llber
533LD = /usr/bin/ld -m elf_x86_64
534LDAPLIB = -lldap
535LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
536LIBADD_DL = -ldl
537LIBADD_DLD_LINK =
538LIBADD_DLOPEN = -ldl
539LIBADD_SHL_LOAD =
540LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
541LIBGNUTLS_LIBS = -lgnutls
542LIBLTDL = -lltdl
543LIBOBJS =
544LIBOPENSSL_CFLAGS =
545LIBOPENSSL_LIBS = -lssl -lcrypto
546LIBS =
547LIBSASL = -lsasl2
548LIBTOOL = $(SHELL) $(top_builddir)/libtool
549LIB_DB = -ldb
550LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
551LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
552LINUXDOC = /bin/false
553LIPO =
554LN = /bin/ln
555LN_S = ln -s
556LOG_DAEMON_HELPERS =  DB file
557LTDLDEPS =
558LTDLINCL =
559LTDLOPEN = libltdl
560LTLIBOBJS =
561LT_ARGZ_H =
562LT_CONFIG_H = include/autoconf.h
563LT_DLLOADERS =  libltdl/dlopen.la
564LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
565LT_SYS_LIBRARY_PATH =
566MAINT = #
567MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
568MANIFEST_TOOL = :
569MINGW_LIBS =
570MKDIR = /bin/mkdir
571MKDIR_P = /bin/mkdir -p
572MV = /bin/mv
573NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
574NETTLELIB =  -lnettle
575NM = /usr/bin/nm -B
576NMEDIT =
577NTLM_AUTH_HELPERS =  fake smb_lm
578OBJDUMP = objdump
579OBJEXT = o
580OTOOL =
581OTOOL64 =
582PACKAGE = squid
583PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
584PACKAGE_NAME = Squid Web Proxy
585PACKAGE_STRING = Squid Web Proxy 3.5.12
586PACKAGE_TARNAME = squid
587PACKAGE_URL =
588PACKAGE_VERSION = 3.5.12
589PATH_SEPARATOR = :
590PERL = /usr/bin/perl
591PKG_CONFIG = /usr/bin/pkg-config
592PKG_CONFIG_LIBDIR =
593PKG_CONFIG_PATH =
594PO2HTML = off
595PO2TEXT = off
596POD2MAN = /usr/bin/pod2man
597RANLIB = ranlib
598REGEXLIB =
599REPL_LIBS = liblru.a libheap.a
600REPL_OBJS = repl/liblru.a repl/libheap.a
601REPL_POLICIES = lru heap
602RM = /bin/rm -f
603SED = /bin/sed
604SET_MAKE =
605SH = /bin/sh
606SHELL = /bin/bash
607SMBCLIENT = /usr/bin/smbclient
608SNMPLIB = ../lib/snmplib/libsnmplib.la
609SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
610SQUID_CPPUNIT_INC =
611SQUID_CPPUNIT_LA =
612SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
613SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
614SSLLIB =  -lssl -lcrypto  -lgnutls
615STOREID_REWRITE_HELPERS =  file
616STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
617STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
618STORE_TESTS =
619STRIP = strip
620TR = /usr/bin/tr
621TRUE = /bin/true
622URL_REWRITE_HELPERS =  fake
623VERSION = 3.5.12
624WBINFO =
625WIN32_PSAPI =
626XMLLIB = -lxml2
627XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
628XTRA_OBJS =
629abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/ipc
630abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/ipc
631abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
632abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
633ac_ct_AR =
634ac_ct_CC = gcc
635ac_ct_CXX = g++
636ac_ct_DUMPBIN =
637am__include = include
638am__leading_dot = .
639am__quote =
640am__tar = tar --format=ustar -chf - "$$tardir"
641am__untar = tar -xf -
642bindir = ${exec_prefix}/bin
643build = x86_64-pc-linux-gnu
644build_alias = x86_64-linux-gnu
645build_cpu = x86_64
646build_os = linux-gnu
647build_vendor = pc
648builddir = .
649datadir = /usr/share/squid-ssl
650datarootdir = ${prefix}/share
651docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
652dvidir = ${docdir}
653exec_prefix = ${prefix}
654host = x86_64-pc-linux-gnu
655host_alias =
656host_cpu = x86_64
657host_os = linux-gnu
658host_vendor = pc
659htmldir = ${docdir}
660includedir = ${prefix}/include
661infodir = ${prefix}/share/info
662install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
663krb5_config =
664libdir = ${exec_prefix}/lib
665libexecdir = /usr/lib/squid-ssl
666localedir = ${datarootdir}/locale
667localstatedir = /var
668ltdl_LIBOBJS =  lt__strl.o
669ltdl_LTLIBOBJS =  lt__strl.lo
670mandir = /usr/share/man
671mkdir_p = $(MKDIR_P)
672oldincludedir = /usr/include
673pdfdir = ${docdir}
674prefix = /usr
675program_transform_name = s&$$&-ssl&
676psdir = ${docdir}
677runstatedir = ${localstatedir}/run
678sbindir = ${exec_prefix}/sbin
679sharedstatedir = ${prefix}/com
680srcdir = .
681subdirs =  libltdl
682sys_symbol_underscore = no
683sysconfdir = /etc/squid-ssl
684target_alias =
685top_build_prefix = ../../
686top_builddir = ../..
687top_srcdir = ../..
688AM_CFLAGS = $(SQUID_CFLAGS)
689AM_CXXFLAGS = $(SQUID_CXXFLAGS)
690CLEANFILES = testHeaders
691TESTS = testHeaders
692AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
693        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
694        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
695        $(am__append_1)
696LIBPROFILER =
697#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
698COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
699subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
700noinst_LTLIBRARIES = libipc.la
701libipc_la_SOURCES = \
702        AtomicWord.cc \
703        AtomicWord.h \
704        FdNotes.cc \
705        FdNotes.h \
706        Kid.cc \
707        Kid.h \
708        Kids.cc \
709        Kids.h \
710        Messages.h \
711        MemMap.cc \
712        MemMap.h \
713        Queue.cc \
714        Queue.h \
715        ReadWriteLock.cc \
716        ReadWriteLock.h \
717        StartListening.cc \
718        StartListening.h \
719        StoreMap.cc \
720        StoreMap.h \
721        StrandCoord.cc \
722        StrandCoord.h \
723        StrandCoords.h \
724        StrandSearch.cc \
725        StrandSearch.h \
726        SharedListen.cc \
727        SharedListen.h \
728        TypedMsgHdr.cc \
729        TypedMsgHdr.h \
730        Coordinator.cc \
731        Coordinator.h \
732        UdsOp.cc \
733        UdsOp.h \
734        Port.cc \
735        Port.h \
736        Strand.cc \
737        Strand.h \
738        forward.h \
739        Forwarder.cc \
740        Forwarder.h \
741        Inquirer.cc \
742        Inquirer.h \
743        Request.h \
744        Response.h \
745        \
746        mem/FlexibleArray.h \
747        mem/Page.cc \
748        mem/Page.h \
749        mem/PagePool.cc \
750        mem/PagePool.h \
751        mem/Pages.cc \
752        mem/Pages.h \
753        mem/PageStack.cc \
754        mem/PageStack.h \
755        mem/Pointer.h \
756        mem/Segment.cc \
757        mem/Segment.h
758
759all: all-am
760
761.SUFFIXES:
762.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
763$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
764        @for dep in $?; do \
765          case '$(am__configure_deps)' in \
766            *$$dep*) \
767              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
768                && { if test -f $@; then exit 0; else break; fi; }; \
769              exit 1;; \
770          esac; \
771        done; \
772        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/ipc/Makefile'; \
773        $(am__cd) $(top_srcdir) && \
774          $(AUTOMAKE) --gnu src/ipc/Makefile
775Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
776        @case '$?' in \
777          *config.status*) \
778            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
779          *) \
780            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
781            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
782        esac;
783$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
784
785$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
786        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
787
788$(top_srcdir)/configure: # $(am__configure_deps)
789        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
790$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
791        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
792$(am__aclocal_m4_deps):
793
794clean-noinstLTLIBRARIES:
795        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
796        @list='$(noinst_LTLIBRARIES)'; \
797        locs=`for p in $$list; do echo $$p; done | \
798              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
799              sort -u`; \
800        test -z "$$locs" || { \
801          echo rm -f $${locs}; \
802          rm -f $${locs}; \
803        }
804mem/$(am__dirstamp):
805        @$(MKDIR_P) mem
806        @: > mem/$(am__dirstamp)
807mem/$(DEPDIR)/$(am__dirstamp):
808        @$(MKDIR_P) mem/$(DEPDIR)
809        @: > mem/$(DEPDIR)/$(am__dirstamp)
810mem/Page.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
811mem/PagePool.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
812mem/Pages.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
813mem/PageStack.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
814mem/Segment.lo: mem/$(am__dirstamp) mem/$(DEPDIR)/$(am__dirstamp)
815
816libipc.la: $(libipc_la_OBJECTS) $(libipc_la_DEPENDENCIES) $(EXTRA_libipc_la_DEPENDENCIES)
817        $(AM_V_CXXLD)$(CXXLINK)  $(libipc_la_OBJECTS) $(libipc_la_LIBADD) $(LIBS)
818
819clean-checkPROGRAMS:
820        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
821        echo " rm -f" $$list; \
822        rm -f $$list || exit $$?; \
823        test -n "$(EXEEXT)" || exit 0; \
824        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
825        echo " rm -f" $$list; \
826        rm -f $$list
827
828mostlyclean-compile:
829        -rm -f *.$(OBJEXT)
830        -rm -f mem/*.$(OBJEXT)
831        -rm -f mem/*.lo
832
833distclean-compile:
834        -rm -f *.tab.c
835
836#include ./$(DEPDIR)/AtomicWord.Plo
837#include ./$(DEPDIR)/Coordinator.Plo
838#include ./$(DEPDIR)/FdNotes.Plo
839#include ./$(DEPDIR)/Forwarder.Plo
840#include ./$(DEPDIR)/Inquirer.Plo
841#include ./$(DEPDIR)/Kid.Plo
842#include ./$(DEPDIR)/Kids.Plo
843#include ./$(DEPDIR)/MemMap.Plo
844#include ./$(DEPDIR)/Port.Plo
845#include ./$(DEPDIR)/Queue.Plo
846#include ./$(DEPDIR)/ReadWriteLock.Plo
847#include ./$(DEPDIR)/SharedListen.Plo
848#include ./$(DEPDIR)/StartListening.Plo
849#include ./$(DEPDIR)/StoreMap.Plo
850#include ./$(DEPDIR)/Strand.Plo
851#include ./$(DEPDIR)/StrandCoord.Plo
852#include ./$(DEPDIR)/StrandSearch.Plo
853#include ./$(DEPDIR)/TypedMsgHdr.Plo
854#include ./$(DEPDIR)/UdsOp.Plo
855#include mem/$(DEPDIR)/Page.Plo
856#include mem/$(DEPDIR)/PagePool.Plo
857#include mem/$(DEPDIR)/PageStack.Plo
858#include mem/$(DEPDIR)/Pages.Plo
859#include mem/$(DEPDIR)/Segment.Plo
860
861.cc.o:
862#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
863#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
864#       $(am__mv) $$depbase.Tpo $$depbase.Po
865#       $(AM_V_CXX)source='$<' object='$@' libtool=no
866#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
867        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
868
869.cc.obj:
870#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
871#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
872#       $(am__mv) $$depbase.Tpo $$depbase.Po
873#       $(AM_V_CXX)source='$<' object='$@' libtool=no
874#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
875        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
876
877.cc.lo:
878#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
879#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
880#       $(am__mv) $$depbase.Tpo $$depbase.Plo
881#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
882#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
883        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
884
885mostlyclean-libtool:
886        -rm -f *.lo
887
888clean-libtool:
889        -rm -rf .libs _libs
890        -rm -rf mem/.libs mem/_libs
891
892ID: $(am__tagged_files)
893        $(am__define_uniq_tagged_files); mkid -fID $$unique
894tags: tags-am
895TAGS: tags
896
897tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
898        set x; \
899        here=`pwd`; \
900        $(am__define_uniq_tagged_files); \
901        shift; \
902        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
903          test -n "$$unique" || unique=$$empty_fix; \
904          if test $$# -gt 0; then \
905            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
906              "$$@" $$unique; \
907          else \
908            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
909              $$unique; \
910          fi; \
911        fi
912ctags: ctags-am
913
914CTAGS: ctags
915ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
916        $(am__define_uniq_tagged_files); \
917        test -z "$(CTAGS_ARGS)$$unique" \
918          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
919             $$unique
920
921GTAGS:
922        here=`$(am__cd) $(top_builddir) && pwd` \
923          && $(am__cd) $(top_srcdir) \
924          && gtags -i $(GTAGS_ARGS) "$$here"
925cscopelist: cscopelist-am
926
927cscopelist-am: $(am__tagged_files)
928        list='$(am__tagged_files)'; \
929        case "$(srcdir)" in \
930          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
931          *) sdir=$(subdir)/$(srcdir) ;; \
932        esac; \
933        for i in $$list; do \
934          if test -f "$$i"; then \
935            echo "$(subdir)/$$i"; \
936          else \
937            echo "$$sdir/$$i"; \
938          fi; \
939        done >> $(top_builddir)/cscope.files
940
941distclean-tags:
942        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
943
944# Recover from deleted '.trs' file; this should ensure that
945# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
946# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
947# to avoid problems with "make -n".
948.log.trs:
949        rm -f $< $@
950        $(MAKE) $(AM_MAKEFLAGS) $<
951
952# Leading 'am--fnord' is there to ensure the list of targets does not
953# expand to empty, as could happen e.g. with make check TESTS=''.
954am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
955am--force-recheck:
956        @:
957
958$(TEST_SUITE_LOG): $(TEST_LOGS)
959        @$(am__set_TESTS_bases); \
960        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
961        redo_bases=`for i in $$bases; do \
962                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
963                    done`; \
964        if test -n "$$redo_bases"; then \
965          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
966          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
967          if $(am__make_dryrun); then :; else \
968            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
969          fi; \
970        fi; \
971        if test -n "$$am__remaking_logs"; then \
972          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
973               "recursion detected" >&2; \
974        elif test -n "$$redo_logs"; then \
975          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
976        fi; \
977        if $(am__make_dryrun); then :; else \
978          st=0;  \
979          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
980          for i in $$redo_bases; do \
981            test -f $$i.trs && test -r $$i.trs \
982              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
983            test -f $$i.log && test -r $$i.log \
984              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
985          done; \
986          test $$st -eq 0 || exit 1; \
987        fi
988        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
989        ws='[   ]'; \
990        results=`for b in $$bases; do echo $$b.trs; done`; \
991        test -n "$$results" || results=/dev/null; \
992        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
993        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
994        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
995        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
996        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
997        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
998        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
999        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1000          success=true; \
1001        else \
1002          success=false; \
1003        fi; \
1004        br='==================='; br=$$br$$br$$br$$br; \
1005        result_count () \
1006        { \
1007            if test x"$$1" = x"--maybe-color"; then \
1008              maybe_colorize=yes; \
1009            elif test x"$$1" = x"--no-color"; then \
1010              maybe_colorize=no; \
1011            else \
1012              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1013            fi; \
1014            shift; \
1015            desc=$$1 count=$$2; \
1016            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1017              color_start=$$3 color_end=$$std; \
1018            else \
1019              color_start= color_end=; \
1020            fi; \
1021            echo "$${color_start}# $$desc $$count$${color_end}"; \
1022        }; \
1023        create_testsuite_report () \
1024        { \
1025          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1026          result_count $$1 "PASS: " $$pass  "$$grn"; \
1027          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1028          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1029          result_count $$1 "FAIL: " $$fail  "$$red"; \
1030          result_count $$1 "XPASS:" $$xpass "$$red"; \
1031          result_count $$1 "ERROR:" $$error "$$mgn"; \
1032        }; \
1033        {                                                               \
1034          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1035            $(am__rst_title);                                           \
1036          create_testsuite_report --no-color;                           \
1037          echo;                                                         \
1038          echo ".. contents:: :depth: 2";                               \
1039          echo;                                                         \
1040          for b in $$bases; do echo $$b; done                           \
1041            | $(am__create_global_log);                                 \
1042        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1043        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1044        if $$success; then                                              \
1045          col="$$grn";                                                  \
1046         else                                                           \
1047          col="$$red";                                                  \
1048          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1049        fi;                                                             \
1050        echo "$${col}$$br$${std}";                                      \
1051        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1052        echo "$${col}$$br$${std}";                                      \
1053        create_testsuite_report --maybe-color;                          \
1054        echo "$$col$$br$$std";                                          \
1055        if $$success; then :; else                                      \
1056          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1057          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1058            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1059          fi;                                                           \
1060          echo "$$col$$br$$std";                                        \
1061        fi;                                                             \
1062        $$success || exit 1
1063
1064check-TESTS:
1065        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1066        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1067        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1068        @set +e; $(am__set_TESTS_bases); \
1069        log_list=`for i in $$bases; do echo $$i.log; done`; \
1070        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1071        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1072        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1073        exit $$?;
1074recheck: all $(check_PROGRAMS)
1075        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1076        @set +e; $(am__set_TESTS_bases); \
1077        bases=`for i in $$bases; do echo $$i; done \
1078                 | $(am__list_recheck_tests)` || exit 1; \
1079        log_list=`for i in $$bases; do echo $$i.log; done`; \
1080        log_list=`echo $$log_list`; \
1081        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1082                am__force_recheck=am--force-recheck \
1083                TEST_LOGS="$$log_list"; \
1084        exit $$?
1085testHeaders.log: testHeaders
1086        @p='testHeaders'; \
1087        b='testHeaders'; \
1088        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1089        --log-file $$b.log --trs-file $$b.trs \
1090        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1091        "$$tst" $(AM_TESTS_FD_REDIRECT)
1092.test.log:
1093        @p='$<'; \
1094        $(am__set_b); \
1095        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1096        --log-file $$b.log --trs-file $$b.trs \
1097        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1098        "$$tst" $(AM_TESTS_FD_REDIRECT)
1099#.test$(EXEEXT).log:
1100#       @p='$<'; \
1101#       $(am__set_b); \
1102#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1103#       --log-file $$b.log --trs-file $$b.trs \
1104#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1105#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1106
1107distdir: $(DISTFILES)
1108        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1109        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1110        list='$(DISTFILES)'; \
1111          dist_files=`for file in $$list; do echo $$file; done | \
1112          sed -e "s|^$$srcdirstrip/||;t" \
1113              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1114        case $$dist_files in \
1115          */*) $(MKDIR_P) `echo "$$dist_files" | \
1116                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1117                           sort -u` ;; \
1118        esac; \
1119        for file in $$dist_files; do \
1120          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1121          if test -d $$d/$$file; then \
1122            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1123            if test -d "$(distdir)/$$file"; then \
1124              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1125            fi; \
1126            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1127              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1128              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1129            fi; \
1130            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1131          else \
1132            test -f "$(distdir)/$$file" \
1133            || cp -p $$d/$$file "$(distdir)/$$file" \
1134            || exit 1; \
1135          fi; \
1136        done
1137check-am: all-am
1138        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1139        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1140check: check-am
1141all-am: Makefile $(LTLIBRARIES)
1142installdirs:
1143install: install-am
1144install-exec: install-exec-am
1145install-data: install-data-am
1146uninstall: uninstall-am
1147
1148install-am: all-am
1149        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1150
1151installcheck: installcheck-am
1152install-strip:
1153        if test -z '$(STRIP)'; then \
1154          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1155            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1156              install; \
1157        else \
1158          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1159            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1160            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1161        fi
1162mostlyclean-generic:
1163        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1164        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1165        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1166
1167clean-generic:
1168        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1169
1170distclean-generic:
1171        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1172        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1173        -rm -f mem/$(DEPDIR)/$(am__dirstamp)
1174        -rm -f mem/$(am__dirstamp)
1175
1176maintainer-clean-generic:
1177        @echo "This command is intended for maintainers to use"
1178        @echo "it deletes files that may require special tools to rebuild."
1179clean: clean-am
1180
1181clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1182        clean-noinstLTLIBRARIES mostlyclean-am
1183
1184distclean: distclean-am
1185        -rm -rf ./$(DEPDIR) mem/$(DEPDIR)
1186        -rm -f Makefile
1187distclean-am: clean-am distclean-compile distclean-generic \
1188        distclean-tags
1189
1190dvi: dvi-am
1191
1192dvi-am:
1193
1194html: html-am
1195
1196html-am:
1197
1198info: info-am
1199
1200info-am:
1201
1202install-data-am: install-data-local
1203
1204install-dvi: install-dvi-am
1205
1206install-dvi-am:
1207
1208install-exec-am:
1209
1210install-html: install-html-am
1211
1212install-html-am:
1213
1214install-info: install-info-am
1215
1216install-info-am:
1217
1218install-man:
1219
1220install-pdf: install-pdf-am
1221
1222install-pdf-am:
1223
1224install-ps: install-ps-am
1225
1226install-ps-am:
1227
1228installcheck-am:
1229
1230maintainer-clean: maintainer-clean-am
1231        -rm -rf ./$(DEPDIR) mem/$(DEPDIR)
1232        -rm -f Makefile
1233maintainer-clean-am: distclean-am maintainer-clean-generic
1234
1235mostlyclean: mostlyclean-am
1236
1237mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1238        mostlyclean-libtool
1239
1240pdf: pdf-am
1241
1242pdf-am:
1243
1244ps: ps-am
1245
1246ps-am:
1247
1248uninstall-am:
1249
1250.MAKE: check-am install-am install-strip
1251
1252.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1253        clean-checkPROGRAMS clean-generic clean-libtool \
1254        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1255        distclean-compile distclean-generic distclean-libtool \
1256        distclean-tags distdir dvi dvi-am html html-am info info-am \
1257        install install-am install-data install-data-am \
1258        install-data-local install-dvi install-dvi-am install-exec \
1259        install-exec-am install-html install-html-am install-info \
1260        install-info-am install-man install-pdf install-pdf-am \
1261        install-ps install-ps-am install-strip installcheck \
1262        installcheck-am installdirs maintainer-clean \
1263        maintainer-clean-generic mostlyclean mostlyclean-compile \
1264        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1265        recheck tags tags-am uninstall uninstall-am
1266
1267.PRECIOUS: Makefile
1268
1269
1270$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1271
1272testHeaders: $(srcdir)/*.h
1273        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1274
1275.PHONY: testHeaders
1276
1277install-data-local:
1278        $(mkinstalldirs) $(DESTDIR)$(localstatedir)/run/squid;
1279
1280# Tell versions [3.59,3.63) of GNU make to not export all variables.
1281# Otherwise a system limit (for SysV at least) may be exceeded.
1282.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.